Bug 1420520 - All ARM disk image composes fail in Rawhide
All ARM disk image composes fail in Rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
26
armhfp Linux
unspecified Severity high
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
Depends On:
Blocks: AlphaBlocker/F26AlphaBlocker
  Show dependency treegraph
 
Reported: 2017-02-08 16:24 EST by Adam Williamson
Modified: 2017-03-22 15:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-22 15:46:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-02-08 16:24:41 EST
All ARM disk image composes fail in current Rawhide composes, e.g.:

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20170208.n.0/logs/armhfp/liveimage-Fedora-Xfce-armhfp-Rawhide-20170208.n.0.armhfp.log

Error is:

spin-appliance is deprecated and will be replaced with image-build
AttributeError: Values instance has no attribute 'optional_arches'

This is an automatic Alpha release blocker: "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers (the ARM minimal and Xfce disk images are release-blocking).
Comment 1 Dennis Gilmore 2017-02-08 16:35:01 EST
spin-appliance is deprecated and will be replaced with image-build
is a warning
There is currently a miss-match of koji and pungi.
Comment 2 Paul Whalen 2017-02-21 10:37:54 EST
Disk images are once again included in the compose.
Comment 3 Fedora End Of Life 2017-02-28 06:13:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 4 Adam Williamson 2017-03-02 18:38:25 EST
So, we can close this.
Comment 5 Paul Whalen 2017-03-06 11:52:30 EST
Reopening, this is once again an issue with the same error/warning message. In koji there are no tasks for f26 disk images since Feb 28th. F27 disk images are completed. 

Tasks
https://koji.fedoraproject.org/koji/tasks?state=all&owner=releng&view=tree&method=appliance&order=-id

Compose logs
https://kojipkgs.fedoraproject.org/compose//branched/Fedora-26-20170306.n.0/logs/armhfp/liveimage-Fedora-KDE-armhfp-26-20170306.n.0.armhfp.log
Comment 6 Kevin Fenzi 2017-03-06 14:02:57 EST
So, I think this is due to the branched composer machine having the "stock" koji package while the rawwhide-composer has a snapshot with some patches. 

I have installed that snapshot version on the branched-composer and have fired off a new compose, so we can see in X hours if thats the case. :)
Comment 7 Adam Williamson 2017-03-09 12:22:04 EST
I see an Xfce and a minimal image at https://kojipkgs.fedoraproject.org/compose/branched/Fedora-26-20170309.n.0/compose/Spins/armhfp/images/ , so can we close this again now?
Comment 8 Paul Whalen 2017-03-09 12:35:15 EST
Closing. Thanks Kevin!
Comment 9 Paul Whalen 2017-03-20 11:31:30 EDT
This happened again for Alpha 1.1. Reopening for visibility and to ensure all compose hosts are running the appropriate koji prior to the next Alpha compose.
Comment 10 Kevin Fenzi 2017-03-20 13:06:40 EDT
This is likely due to the compose-x86-01 machine having a newer koji version without the patches: 

compose-x86-01.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-6.fc25.noarch
rawhide-composer.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-1.20170215.0857.16.fc26.noarch
branched-composer.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-1.20170215.0857.16.fc26.noarch

releng needs to downgrade to that exact version or they all need to upgrade to a newer version with the patches needed.
Comment 11 Dennis Gregorovic 2017-03-20 15:17:08 EDT
Which koji patches are needed for this?  I would like to confirm that they will be included in the next upstream koji release.
Comment 12 Dennis Gilmore 2017-03-20 15:40:43 EDT
(In reply to Dennis Gregorovic from comment #11)
> Which koji patches are needed for this?  I would like to confirm that they
> will be included in the next upstream koji release.

I believe everything for it is in the following pull requests
https://pagure.io/koji/pull-request/309
https://pagure.io/koji/pull-request/291
https://pagure.io/koji/pull-request/177

They have all been merged
Comment 13 Adam Williamson 2017-03-22 15:46:44 EDT
We did get ARM images for RC2:

https://kojipkgs.fedoraproject.org/compose/26/Fedora-26-20170321.1/compose/Spins/armhfp/images/

so closing this.

Note You need to log in before you can comment on or make changes to this bug.